aboutsummaryrefslogtreecommitdiff
path: root/script/test-smoke.sh
diff options
context:
space:
mode:
authorAlex Auvolat <alex@adnab.me>2020-12-12 16:05:28 +0100
committerAlex Auvolat <alex@adnab.me>2020-12-12 16:05:28 +0100
commit0b3084ca5ff7884f149f679c6dc391bab46d902d (patch)
tree9e2797fea45bb0fe5f55afc205366d45c2c3b0dd /script/test-smoke.sh
parentcbd10c1b0a1325fbd7cf91a43ea0044ba1aae409 (diff)
parent022b386a5085cad79d649a82846c41cad730920b (diff)
downloadgarage-0b3084ca5ff7884f149f679c6dc391bab46d902d.tar.gz
garage-0b3084ca5ff7884f149f679c6dc391bab46d902d.zip
Merge branch 'master' into doc/modeldoc/model
Diffstat (limited to 'script/test-smoke.sh')
-rwxr-xr-xscript/test-smoke.sh62
1 files changed, 62 insertions, 0 deletions
diff --git a/script/test-smoke.sh b/script/test-smoke.sh
new file mode 100755
index 00000000..111afac9
--- /dev/null
+++ b/script/test-smoke.sh
@@ -0,0 +1,62 @@
+#!/bin/bash
+
+set -ex
+shopt -s expand_aliases
+
+SCRIPT_FOLDER="`dirname \"$0\"`"
+REPO_FOLDER="${SCRIPT_FOLDER}/../"
+
+cargo build
+${SCRIPT_FOLDER}/dev-clean.sh
+${SCRIPT_FOLDER}/dev-cluster.sh > /tmp/garage.log 2>&1 &
+${SCRIPT_FOLDER}/dev-configure.sh
+${SCRIPT_FOLDER}/dev-bucket.sh
+source ${SCRIPT_FOLDER}/dev-env-aws.sh
+source ${SCRIPT_FOLDER}/dev-env-s3cmd.sh
+
+garage status
+garage key list
+garage bucket list
+
+dd if=/dev/urandom of=/tmp/garage.1.rnd bs=1k count=2 # < INLINE_THRESHOLD = 3072 bytes
+dd if=/dev/urandom of=/tmp/garage.2.rnd bs=1M count=5
+dd if=/dev/urandom of=/tmp/garage.3.rnd bs=1M count=10
+
+for idx in $(seq 1 3); do
+ # AWS sends
+ awsgrg cp /tmp/garage.$idx.rnd s3://eprouvette/garage.$idx.aws
+
+ awsgrg ls s3://eprouvette
+
+ awsgrg cp s3://eprouvette/garage.$idx.aws /tmp/garage.$idx.dl
+ diff /tmp/garage.$idx.rnd /tmp/garage.$idx.dl
+ rm /tmp/garage.$idx.dl
+
+ s3grg get s3://eprouvette/garage.$idx.aws /tmp/garage.$idx.dl
+ diff /tmp/garage.$idx.rnd /tmp/garage.$idx.dl
+ rm /tmp/garage.$idx.dl
+
+ awsgrg rm s3://eprouvette/garage.$idx.aws
+
+ # S3CMD sends
+ s3grg put /tmp/garage.$idx.rnd s3://eprouvette/garage.$idx.s3cmd
+
+ s3grg ls s3://eprouvette
+
+ s3grg get s3://eprouvette/garage.$idx.s3cmd /tmp/garage.$idx.dl
+ diff /tmp/garage.$idx.rnd /tmp/garage.$idx.dl
+ rm /tmp/garage.$idx.dl
+
+ awsgrg cp s3://eprouvette/garage.$idx.s3cmd /tmp/garage.$idx.dl
+ diff /tmp/garage.$idx.rnd /tmp/garage.$idx.dl
+ rm /tmp/garage.$idx.dl
+
+ s3grg rm s3://eprouvette/garage.$idx.s3cmd
+done
+rm /tmp/garage.{1,2,3}.rnd
+
+garage bucket deny --read --write eprouvette --key $AWS_ACCESS_KEY_ID
+garage bucket delete --yes eprouvette
+garage key delete --yes $AWS_ACCESS_KEY_ID
+
+echo "success"